কনটেন্টে যান

Gemini 2.5 Flash Image

ইন্টিগ্রেট করুন

মডেল id gemini-25-flash-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/gemini-25-flash-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ০.০৪$ ৪০ API ক্রেডিট · ≈ ৪.২২₽ এই পেজে চালান

API কী পান
Google টেক্সট থেকে ছবি দ্রুত #text-to-image

দশটি অ্যাসপেক্ট রেশিও, প্রতি কল-এ সর্বোচ্চ 4টি ছবি এবং png, jpeg বা webp আউটপুটসহ Google-এর টেক্সট-টু-ইমেজ মডেল

Google · ছবি

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 50000

ছবি জেনারেট করতে ব্যবহৃত টেক্সট নির্দেশনা।

aspect_ratio ডিফল্ট 1:1

ফলস্বরূপ ছবির অ্যাসপেক্ট রেশিও।

num_images ডিফল্ট 1

জেনারেশনের জন্য অনুরোধ করা ছবির সংখ্যা।

অ্যাডভান্সড output_format · safety_tolerance · seed · limit_generations
output_format ডিফল্ট png

ফলাফল ছবির ফাইল ফরম্যাট।

safety_tolerance ডিফল্ট 4

বিষয়বস্তু মডারেশনের সহনশীলতা সর্বনিম্ন কঠোর স্তর 6 থেকে সর্বাধিক কঠোর স্তর 1-এর মধ্যে নির্ধারণ করুন; 1 অধিকাংশ বিষয়বস্তু ব্লক করে।

এলোমেলো সংখ্যা জেনারেশন শুরু করা সিড মান।

POST /run/gemini-25-flash-image?wait=20 মূল্য → ০.০৪$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/gemini-25-flash-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Gemini 2.5 Flash Image সম্পর্কে

সর্বোচ্চ 50,000 অক্ষরের একটি টেক্সট প্রম্পট থেকে ছবি তৈরি করে। অ্যাসপেক্ট রেশিও 21:9 থেকে 9:16 পর্যন্ত, এবং প্রতি রিকোয়েস্টে 1 থেকে 4টি ছবি তৈরি করা যায়। ডিফল্ট আউটপুট png, তবে jpeg ও webp-ও উপলভ্য। ছবির পাশাপাশি রেসপন্সে একটি টেক্সট বিবরণ থাকে, এবং `limit_generations` প্রতি প্রম্পটে একটিমাত্র ফলাফল বাধ্যতামূলক করতে পারে।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ৫০,০০০টি অক্ষর≥ ৩টি অক্ষর
ছবি জেনারেট করতে ব্যবহৃত টেক্সট নির্দেশনা।
num_imagesঐচ্ছিক num_outputs
ধরনinteger
ডিফল্ট1
১ – ৪
জেনারেশনের জন্য অনুরোধ করা ছবির সংখ্যা।
seedঐচ্ছিক
ধরনinteger | null
এলোমেলো সংখ্যা জেনারেশন শুরু করা সিড মান।
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্ট1:1
21:916:93:24:35:41:14:53:42:39:16
ফলস্বরূপ ছবির অ্যাসপেক্ট রেশিও।
output_formatঐচ্ছিক
ধরনenum
ডিফল্টpng
jpegpngwebp
ফলাফল ছবির ফাইল ফরম্যাট।
safety_toleranceঐচ্ছিক
ধরনenum
ডিফল্ট4
123456
বিষয়বস্তু মডারেশনের সহনশীলতা সর্বনিম্ন কঠোর স্তর 6 থেকে সর্বাধিক কঠোর স্তর 1-এর মধ্যে নির্ধারণ করুন; 1 অধিকাংশ বিষয়বস্তু ব্লক করে।
limit_generationsঐচ্ছিক
ধরনboolean
ডিফল্টtrue
পরীক্ষামূলক জেনারেশন সীমা: `True` সক্রিয় করলে প্রম্পটে থাকা যেকোনো ছবি-সংখ্যা নির্দেশনা ওভাররাইড করে এবং প্রতিটি প্রম্পটিং রাউন্ডকে 1টি জেনারেশনে সীমাবদ্ধ করে।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gemini-25-flash-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
images
array of object {url, content_type, file_name, file_size, width, height}মডেল দ্বারা তৈরি ছবি।
description
stringজেনারেট করা ছবিগুলোর সঙ্গে থাকা বিবরণ।

আরও মডেল: টেক্সট থেকে ছবি

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/gemini-25-flash-image.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt